# Generated automatically from Makefile.in by configure.
# $Id: Makefile,v 1.1.1.1 2000/03/10 16:32:22 engin Exp $

# Objects and sources files
SOURCES		= Timer.cc Job.cc Dispatcher.cc
OBJECTS		= Timer.o Job.o Dispatcher.o
HEADERS		= Timer.hh Job.hh Dispatcher.hh

#-----------------------------------------------------------
# Paths
srcdir		= .
top_srcdir	= ..
prefix      	= /usr/local
exec_prefix 	= ${prefix}
bindir      	= ${exec_prefix}/bin
mandir      	= ${prefix}/man
man1dir     	= $(mandir)/man1
man8dir     	= $(mandir)/man8

# programs

SHELL           = /bin/sh
RANLIB          = ranlib
CC              = gcc
CXX             = c++
BISON           = @YACC@
FLEX            = @LEX@
LD              = c++
PERL            = @PERL_PATH@
INSTALL         = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@

# Other variables
DEFINES  	= -DHAVE_CONFIG_H
CFLAGS   	= -g -O2
CPPFLAGS 	= 
LDFLAGS  	= 
CXXFLAGS 	= -g -O2
INCDIRS 	= -I.. -I. -I$(top_srcdir) 
DISTFILES	= Makefile.in $(SOURCES) $(HEADERS)

default: all

# Implicit rules
.y.o:

.c.o:
	@echo Compiling: `basename $<`
	@$(CC)  -c $(CPPFLAGS) $(CFLAGS) $(DEFINES) $(INCDIRS) $<

.cc.o:
	@echo Compiling: `basename $<`
	@$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) $<

.SUFFIXES: .cc

# Building the distribution
distdir:
	@for file in `cd $(srcdir) && echo $(DISTFILES)`; do \
	  test -f $(distdir)/$$file \
	  || ln $(srcdir)/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $(srcdir)/$$file $(distdir)/$$file; \
	done

# other explicit rules
all: $(OBJECTS)

clean:
	rm -f core *.o *~

mostlyclean:
	rm -f core *.o *~

depend: $(SOURCES)
	@echo Making dependencies for $(SOURCES)
	@$(CXX) -MM $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) ${SOURCES}>makedep
	@echo '/^# DO NOT DELETE THIS LINE/+1,$$d' >eddep
	@echo '$$r makedep' >>eddep
	@echo 'w' >>eddep
	@cp Makefile Makefile.bak
	@ed - Makefile < eddep
	@rm eddep makedep
	@echo '# DEPENDENCIES MUST END AT END OF FILE' >> Makefile
	@echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Makefile
	@echo '# see make depend above' >> Makefile

# DO NOT DELETE THIS LINE
Timer.o: Timer.cc ../util/Types.hh ../util/Handler.hh ../util/List.hh \
 ../util/Trail.hh ../sys/File.hh ../sys/Address.hh ../sys/Time.hh \
 ../sched/Timer.hh ../sched/Dispatcher.hh ../sys/FileSet.hh \
 ../sched/Job.hh ../sys/Signal.hh
Job.o: Job.cc ../util/Types.hh ../util/Handler.hh ../util/Trail.hh \
 ../util/List.hh ../sys/File.hh ../sys/Address.hh ../sys/Time.hh \
 ../sched/Job.hh ../sched/Dispatcher.hh ../sys/FileSet.hh \
 ../sched/Timer.hh ../sys/Signal.hh
Dispatcher.o: Dispatcher.cc ../util/Types.hh ../util/Trail.hh \
 ../util/List.hh ../sys/File.hh ../util/Handler.hh ../sys/Address.hh \
 ../sys/Time.hh ../sys/Signal.hh ../sched/Timer.hh ../sched/Job.hh \
 ../sched/Dispatcher.hh ../sys/FileSet.hh
# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above
